Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » DSPI » Functions

Initialization and de-initialization functions. More...

## Functions
hal_status_t | hal_dspi_init (dspi_handle_t *p_dspi)
| Initialize the DSPI according to the specified parameters in the dspi_init_t and initialize the associated handle. More...
hal_status_t | hal_dspi_deinit (dspi_handle_t *p_dspi)
| De-initialize the DSPI peripheral. More...
void | hal_dspi_msp_init (dspi_handle_t *p_dspi)
| Initialize the DSPI MSP. More...
void | hal_dspi_msp_deinit (dspi_handle_t *p_dspi)
| De-initialize the DSPI MSP. More...

## Detailed Description

Initialization and de-initialization functions.

     ===============================================================================
                  ##### Initialization and de-initialization functions #####
     ===============================================================================
        [..]  This subsection provides a set of functions allowing to initialize and
              de-initialize the DSPIx peripheral:

          (+) User must implement hal_dspi_msp_init() function in which he configures
              all related peripherals resources (GPIO, DMA, IT and NVIC ).

          (+) Call the function hal_dspi_init() to configure the selected device with
              the selected configuration:
            (++) baudrate
            (++) dspi mode

          (+) Call the function hal_dspi_deinit() to restore the default configuration
              of the selected DSPIx peripheral.

## Function Documentation

## ◆ hal_dspi_deinit()

hal_status_t hal_dspi_deinit | ( | dspi_handle_t * | p_dspi | ) |

De-initialize the DSPI peripheral.

Parameters

  [in] | p_dspi | Pointer to a DSPI handle which contains the configuration information for the specified DSPI module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_dspi_init()

hal_status_t hal_dspi_init | ( | dspi_handle_t * | p_dspi | ) |

Initialize the DSPI according to the specified parameters in the dspi_init_t and initialize the associated handle.

Parameters

  [in] | p_dspi | Pointer to a DSPI handle which contains the configuration information for the specified DSPI module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_dspi_msp_deinit()

void hal_dspi_msp_deinit | ( | dspi_handle_t * | p_dspi | ) |

De-initialize the DSPI MSP.

Note
  This function should not be modified. When the callback is needed, the hal_dspi_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_dspi | Pointer to a DSPI handle which contains the configuration information for the specified DSPI module.

## ◆ hal_dspi_msp_init()

void hal_dspi_msp_init | ( | dspi_handle_t * | p_dspi | ) |

Initialize the DSPI MSP.

Note
  This function should not be modified. When the callback is needed, the hal_dspi_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_dspi | Pointer to a DSPI handle which contains the configuration information for the specified DSPI module.